Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047033 - [abrt] mate-file-manager: _XAllocID(): caja killed by SIGABRT
Summary: [abrt] mate-file-manager: _XAllocID(): caja killed by SIGABRT
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-file-manager
Version: 19
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:391b842b9b6bd0899e94ba0c266...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 15:31 UTC by Diego
Modified: 2014-04-01 11:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-23 20:34:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (33.05 KB, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details
File: cgroup (141 bytes, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details
File: core_backtrace (21.10 KB, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details
File: dso_list (9.21 KB, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details
File: environ (1.09 KB, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details
File: maps (30.39 KB, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details
File: open_fds (1.66 KB, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details
File: proc_pid_status (782 bytes, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details
File: var_log_messages (3.31 KB, text/plain)
2013-12-28 15:31 UTC, Diego
no flags Details

Description Diego 2013-12-28 15:31:17 UTC
Description of problem:
Opened a new session with a new user and caja crashed on startup

Version-Release number of selected component:
mate-file-manager-1.6.3-1.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        caja -n
crash_function: _XAllocID
executable:     /usr/bin/caja
kernel:         3.12.5-200.fc19.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _XAllocID at xcb_io.c:529
 #6 XRenderCreateCursor at Cursor.c:44
 #7 XcursorImageLoadCursor at cursor.c:590
 #8 XcursorImagesLoadCursors at cursor.c:686
 #9 XcursorImagesLoadCursor at cursor.c:705
 #10 XcursorLibraryLoadCursor at library.c:337
 #11 XcursorShapeLoadCursor at library.c:507
 #12 _gdk_x11_cursor_update_theme at gdkcursor-x11.c:588
 #13 update_cursor at gdkcursor-x11.c:609
 #14 g_slist_foreach at gslist.c:896

Comment 1 Diego 2013-12-28 15:31:23 UTC
Created attachment 842662 [details]
File: backtrace

Comment 2 Diego 2013-12-28 15:31:25 UTC
Created attachment 842663 [details]
File: cgroup

Comment 3 Diego 2013-12-28 15:31:27 UTC
Created attachment 842664 [details]
File: core_backtrace

Comment 4 Diego 2013-12-28 15:31:29 UTC
Created attachment 842665 [details]
File: dso_list

Comment 5 Diego 2013-12-28 15:31:31 UTC
Created attachment 842666 [details]
File: environ

Comment 6 Diego 2013-12-28 15:31:33 UTC
Created attachment 842667 [details]
File: limits

Comment 7 Diego 2013-12-28 15:31:36 UTC
Created attachment 842668 [details]
File: maps

Comment 8 Diego 2013-12-28 15:31:37 UTC
Created attachment 842669 [details]
File: open_fds

Comment 9 Diego 2013-12-28 15:31:39 UTC
Created attachment 842670 [details]
File: proc_pid_status

Comment 10 Diego 2013-12-28 15:31:41 UTC
Created attachment 842671 [details]
File: var_log_messages

Comment 11 Wolfgang Ulbrich 2013-12-29 09:52:30 UTC
forwarded to upstream, pls asked there for help.
https://github.com/mate-desktop/caja/issues/223

Comment 12 Wolfgang Ulbrich 2014-02-23 20:34:42 UTC
Sorry guys, upstream closing this issue at github, it isn't reproducible on their systems, see https://github.com/mate-desktop/caja/issues/223#issuecomment-35255780


Note You need to log in before you can comment on or make changes to this bug.